Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 10909112: Hacks to make HW decode work on linux via libva. (Closed)

Created:
6 years, 11 months ago by Ami GONE FROM CHROMIUM
Modified:
6 years, 11 months ago
Reviewers:
Pawel Osciak
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam, apatrick_chromium, feature-media-reviews_chromium.org
Visibility:
Public.

Description

Hacks to make HW decode work on linux via libva. This still requires telling gyp chromeos=1 but with this (and a couple of upstream vdpau-driver hacks) both chrome & video_decode_accelerator_unittest work well on my lucid laptop (NVIDIA graphics libva wrapping vdpau-driver). BUG=137247 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=156677

Patch Set 1 #

Total comments: 6

Patch Set 2 : added a clarifying comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -5 lines) Patch
M content/common/gpu/media/rendering_helper_gl.cc View 1 chunk +0 lines, -5 lines 0 comments Download
M content/common/gpu/media/vaapi_h264_decoder.cc View 1 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
Ami GONE FROM CHROMIUM
Not sure if I want to land this, but thought I'd send it out. Still ...
6 years, 11 months ago (2012-09-07 10:04:20 UTC) #1
Pawel Osciak
https://chromiumcodereview.appspot.com/10909112/diff/1/content/common/gpu/media/rendering_helper_gl.cc File content/common/gpu/media/rendering_helper_gl.cc (left): https://chromiumcodereview.appspot.com/10909112/diff/1/content/common/gpu/media/rendering_helper_gl.cc#oldcode200 content/common/gpu/media/rendering_helper_gl.cc:200: GLX_ALPHA_SIZE, 1, On 2012/09/07 10:04:21, Ami Fischman wrote: > ...
6 years, 11 months ago (2012-09-07 15:49:12 UTC) #2
Ami GONE FROM CHROMIUM
https://chromiumcodereview.appspot.com/10909112/diff/1/content/common/gpu/media/rendering_helper_gl.cc File content/common/gpu/media/rendering_helper_gl.cc (left): https://chromiumcodereview.appspot.com/10909112/diff/1/content/common/gpu/media/rendering_helper_gl.cc#oldcode200 content/common/gpu/media/rendering_helper_gl.cc:200: GLX_ALPHA_SIZE, 1, On 2012/09/07 15:49:13, posciak wrote: > On ...
6 years, 11 months ago (2012-09-12 00:53:10 UTC) #3
Pawel Osciak
lgtm
6 years, 11 months ago (2012-09-13 21:06:20 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fischman@chromium.org/10909112/4001
6 years, 11 months ago (2012-09-13 21:08:11 UTC) #5
commit-bot: I haz the power
6 years, 11 months ago (2012-09-13 23:38:51 UTC) #6
Change committed as 156677

Powered by Google App Engine
This is Rietveld 408576698